{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.hoh_bht.researcher_dialogue" : {
			"initial_state" : "default",
			"states" : {
				"default" : {
					"animations" : [ "idle_researcher", "blink_researcher" ],
					"transitions" : [
						{
							"talk_loop" : "query.mark_variant == 1"
						}
					]
				},
				"talk_loop" : {
					"animations" : [ "dialogue_loop_researcher", "blink_researcher" ],
					"transitions" : [
						{
							"default" : "query.mark_variant == 3"
						},
						{
							"give" : "query.mark_variant == 2"
						}
					]
				},
				"give" : {
					"animations" : [ "give_researcher" ],
					"transitions" : [
						{
							"default" : "query.all_animations_finished"
						}
					]
				}
			}
		},
		"controller.animation.hoh_bht.miner_dialogue" : {
			"initial_state" : "default",
			"states" : {
				"default" : {
					"transitions" : [
						{
							"talk_begin" : "query.mark_variant == 1"
						}
					]
				},
				"talk_begin" : {
					"animations" : [ "dialogue_start_miner" ],
					"transitions" : [
						{
							"talk_loop" : "query.all_animations_finished"
						}
					]
				},
				"talk_loop" : {
					"animations" : [ "conversation_miner" ],
					"transitions" : [
						{
							"give" : "query.mark_variant == 2"
						},
						{
							"talk_end" : "query.mark_variant == 3"
						}
					]
				},
				"talk_end" : {
					"animations" : [ "conversation_end_miner" ],
					"transitions" : [
						{
							"default" : "query.all_animations_finished"
						}
					]
				},
				"give" : {
					"animations" : [ "give_miner" ],
					"transitions" : [
						{
							"default" : "query.all_animations_finished"
						}
					]
				}
			}
		},
		"controller.animation.hoh_bht.shady_dialogue" : {
			"initial_state" : "default",
			"states" : {
				"default" : {
					"transitions" : [
						{
							"talk_begin" : "query.mark_variant == 1"
						}
					]
				},
				"talk_begin" : {
					"animations" : [ "dialogue_start_shady" ],
					"transitions" : [
						{
							"talk_loop" : "query.all_animations_finished"
						}
					]
				},
				"talk_loop" : {
					"animations" : [ "conversation_shady", "shady_coat" ],
					"transitions" : [
						{
							"give" : "query.mark_variant == 2"
						},
						{
							"talk_end" : "query.mark_variant == 3"
						}
					]
				},
				"talk_end" : {
					"animations" : [ "conversation_end_shady" ],
					"transitions" : [
						{
							"default" : "query.all_animations_finished"
						}
					]
				},
				"give" : {
					"animations" : [ "give_shady" ],
					"transitions" : [
						{
							"default" : "query.all_animations_finished"
						}
					]
				}
			}
		}
	}
}
